Create

Stores e-Courier credentials for one provider on behalf of the caller’s organization. | authz: min_org_role=administrator | (EcourierCredsClientCreate1) -> (PydanticObjectId)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

provider_org_idstringRequired

Must be a string starting with org_

Request

This endpoint expects an object.
base_urlstringRequired

Origin of the courier’s e-Courier host, with no path. The request path is derived from ecourier_database.

ecourier_customer_codestringRequiredformat: "^[A-Za-z0-9_-]{1,32}$"
ecourier_customer_idstringRequiredformat: "^[A-Za-z0-9_-]{1,32}$"
ecourier_databasestringRequiredformat: "^[a-z0-9_-]{1,64}$"
passwordstringRequired
schema_versionintegerRequired
usernamestringRequired
notesstring or nullOptional<=4096 characters

Response

Successful Response

Errors

422
Creds Create V1request Unprocessable Entity Error